summaryrefslogtreecommitdiffstats
path: root/bashrc/main.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--bashrc/main.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bashrc/main.sh b/bashrc/main.sh
index 444d204..7199867 100644
--- a/bashrc/main.sh
+++ b/bashrc/main.sh
@@ -58,7 +58,7 @@ _load() {
esac
fi
- if [[ -r ${base}/${path} ]]; then
+ if [[ -r ${base}/${path} || ($1 == "node" && $2 == "*") ]]; then
source ${base}/${path}
elif [[ ${pedantic} -eq 1 ]]; then
echo "error: cannot find necessary startup file: ${base}/${path}"
@@ -109,4 +109,4 @@ _load common bashcomp
_load dist common
# load distribution specific node settings
-_load node ${_DISTNAME}
+_load node ${_DISTNAME}